# OpenItemPayment

Offene Posten - Zahlungen

## POST /erp/finance/openitems/payment/{bankAccountId}/create\_payments

> bereitet die Zahlungen für die übergebenen Offenen Posten vor

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OpenItemPayment","description":"Offene Posten - Zahlungen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/payment/{bankAccountId}/create_payments":{"post":{"tags":["OpenItemPayment"],"description":"bereitet die Zahlungen für die übergebenen Offenen Posten vor","operationId":"createPayments","parameters":[{"name":"bankAccountId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentCreationResponse"}}}}}}}},"components":{"schemas":{"erp-finance-PaymentCreationRequest":{"properties":{"paymentDetails":{"type":"array","description":"Detailangaben für die Zahlung","items":{"$ref":"#/components/schemas/erp-finance-PaymentCreationRequestDetail"}},"paymentTemplateId":{"type":"integer","format":"int64","description":"Zahlungsvorlage"},"executionDate":{"type":"string","format":"date","description":"Manuell gesetztes Ausführungsdatum; wird verwendet, wenn die Vorlage manuallySetExecutionDate=true hat"}}},"erp-finance-PaymentCreationRequestDetail":{"description":"Detailangaben für die Zahlung","properties":{"openItemId":{"type":"integer","format":"int64","description":"Die ID des offenen Postens, zu dem ein Zahlungsauftrag angelegt werden soll"},"totalAmount":{"type":"number","description":"Der Betrag, der gezahlt werden soll"},"discountPercent":{"type":"number","description":"Skontosatz"},"discountAmount":{"type":"number","description":"Skontobetrag"},"purpose":{"type":"string","description":"Verwendungszweck"},"dueDate":{"type":"string","format":"date","description":"gewünschtes Ausführungsdatum"}}},"erp-finance-PaymentCreationResponse":{"properties":{"openItemCount":{"type":"integer","format":"int32","description":"Anzahl der Offenen Posten"},"totalAmount":{"type":"number","description":"Gesamtbetrag der Offenen Posten"},"responseDetails":{"type":"array","description":"Erzeugte Zahlungen","items":{"$ref":"#/components/schemas/erp-finance-PaymentCreationResponseDetail"}}}},"erp-finance-PaymentCreationResponseDetail":{"description":"Erzeugte Zahlungen","properties":{"payment":{"$ref":"#/components/schemas/erp-bank-BankPayment"},"messages":{"type":"array","description":"Meldungen","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"}}}},"erp-bank-BankPayment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"payment type","enum":["MONEY_TRANSFER","REALTIME_MONEY_TRANSFER","SEPA_CORE_DIRECT_DEBIT","SEPA_B2B_DIRECT_DEBIT","CLEARING","CLEARING_WITH_PREDECESSOR_DOCUMENT","APP","OTHER"]},"status":{"type":"string","description":"payment status","enum":["CREATED","PREPARED","SENT","CANCELLED"],"readOnly":true},"batchBookingPreferred":{"type":"boolean","description":"batch booked preferred"},"directDebitSequenceType":{"type":"string","description":"direct debit sequence type","enum":["OOFF","FRST","RCUR","FNAL"]},"executionDate":{"type":"string","format":"date","description":"execution date"},"requestDate":{"type":"string","format":"date-time","description":"request date"},"endToEndId":{"type":"string","description":"End-To-End-Id: Kann von Apps verwendet werden"},"records":{"type":"array","description":"payment records","items":{"$ref":"#/components/schemas/erp-bank-BankPaymentRecord"}}},"required":["accountRef","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankPaymentRecord":{"description":"payment records","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentId":{"type":"integer","format":"int64","description":"id of the payment"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart IBAN"},"bic":{"type":"string","description":"counterpart BIC"},"amount":{"type":"number","description":"payment/debit amount"},"purpose":{"type":"string","description":"purpose"},"purposeCode":{"type":"string","description":"purpose code"},"mandateReference":{"type":"string","description":"mandate reference number (for direct debit)"},"mandateDate":{"type":"string","format":"date","description":"mandate date (for direct debit)"},"creditorId":{"type":"string","description":"creditor id (for direct debit)"},"address":{"type":"string","description":"address of counterpart (only for direct debit outside EU)"},"country":{"type":"string","description":"country code of counterpart (only for direct debit outside EU)"},"comment":{"type":"string","description":"Änderungsgrund"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["amount","name","purpose"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}}}}}
```

## POST /erp/finance/openitems/payment/reimburse

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OpenItemPayment","description":"Offene Posten - Zahlungen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/payment/reimburse":{"post":{"tags":["OpenItemPayment"],"operationId":"createReimbursementForOpenItemOverpayment","parameters":[{"name":"openItemId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentCreationResponseDetail"}}}}}}}},"components":{"schemas":{"erp-finance-PaymentCreationResponseDetail":{"description":"Erzeugte Zahlungen","properties":{"payment":{"$ref":"#/components/schemas/erp-bank-BankPayment"},"messages":{"type":"array","description":"Meldungen","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"}}}},"erp-bank-BankPayment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"payment type","enum":["MONEY_TRANSFER","REALTIME_MONEY_TRANSFER","SEPA_CORE_DIRECT_DEBIT","SEPA_B2B_DIRECT_DEBIT","CLEARING","CLEARING_WITH_PREDECESSOR_DOCUMENT","APP","OTHER"]},"status":{"type":"string","description":"payment status","enum":["CREATED","PREPARED","SENT","CANCELLED"],"readOnly":true},"batchBookingPreferred":{"type":"boolean","description":"batch booked preferred"},"directDebitSequenceType":{"type":"string","description":"direct debit sequence type","enum":["OOFF","FRST","RCUR","FNAL"]},"executionDate":{"type":"string","format":"date","description":"execution date"},"requestDate":{"type":"string","format":"date-time","description":"request date"},"endToEndId":{"type":"string","description":"End-To-End-Id: Kann von Apps verwendet werden"},"records":{"type":"array","description":"payment records","items":{"$ref":"#/components/schemas/erp-bank-BankPaymentRecord"}}},"required":["accountRef","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankPaymentRecord":{"description":"payment records","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentId":{"type":"integer","format":"int64","description":"id of the payment"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart IBAN"},"bic":{"type":"string","description":"counterpart BIC"},"amount":{"type":"number","description":"payment/debit amount"},"purpose":{"type":"string","description":"purpose"},"purposeCode":{"type":"string","description":"purpose code"},"mandateReference":{"type":"string","description":"mandate reference number (for direct debit)"},"mandateDate":{"type":"string","format":"date","description":"mandate date (for direct debit)"},"creditorId":{"type":"string","description":"creditor id (for direct debit)"},"address":{"type":"string","description":"address of counterpart (only for direct debit outside EU)"},"country":{"type":"string","description":"country code of counterpart (only for direct debit outside EU)"},"comment":{"type":"string","description":"Änderungsgrund"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["amount","name","purpose"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}}}}}
```

## GET /erp/finance/openitems/payment/money-transfer-information

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OpenItemPayment","description":"Offene Posten - Zahlungen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/payment/money-transfer-information":{"get":{"tags":["OpenItemPayment"],"operationId":"moneyTransformInformation","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemMoneyTransferBalanceInformation"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemMoneyTransferBalanceInformation":{"properties":{"balanceInNetRange":{"type":"number","description":"Skontozeitraum abgelaufen, aber in Nettofrist"},"balanceOutOfNetRange":{"type":"number","description":"Nettofrist abgelaufen"},"balanceInDiscountRange":{"type":"number","description":"Im Skontozeitraum"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/openitempayment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
